Documentation Index

Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt

Use this file to discover all available pages before exploring further.

Info task

Prev Next
Post
/info/task

Used to get information on a single task.

Body parameters
object
apptoken
string Required

Your App token

id
integer (int32) Required

ID of the task

Responses
200

200

Result
{
  "success": "True",
  "code": "200",
  "model": {
    "id": "5853",
    "project_id": "1",
    "identifier": "profile_import",
    "info": "",
    "params": {
      "fileId": "11ead35649121a69b6400a5174242624",
      "profileIdentifier": "1"
    },
    "errors": {
      "file[columns]": [
        "Column 'firstname' is not set to be a profile attribute"
      ],
      "file[rows]": [
        "Rows must contain identifier (Row 4)"
      ]
    },
    "create_time": "1596217813",
    "start_time": "1596217813",
    "finish_time": "1596217813",
    "status": "2"
  }
}
Expand All
object
success
boolean
Defaulttrue
ExampleTrue
code
integer
Default0
Example200
model
object
id
integer
Default0
Example5853
project_id
integer
Default0
Example1
identifier
string
Exampleprofile_import
info
string
Example
params
object
fileId
string
Example11ead35649121a69b6400a5174242624
profileIdentifier
integer
Default0
Example1
event
origin
result
errors
object
file[columns]
Array of string
string
ExampleColumn 'firstname' is not set to be a profile attribute
file[rows]
Array of string
string
ExampleRows must contain identifier (Row 4)
create_time
integer
Default0
Example1596217813
start_time
integer
Default0
Example1596217813
finish_time
integer
Default0
Example1596217813
status
integer
Default0
Example2
400

400

Result
{
  "success": "False",
  "code": "400",
  "message": "General error information",
  "errors": [
    {
      "text": [
        "Detailed information about the specific error"
      ]
    }
  ]
}
Expand All
object
success
boolean
Defaulttrue
ExampleFalse
code
integer
Default0
Example400
message
string
ExampleGeneral error information
errors
Array of object
object
text
Array of string
string